Eliminate MochiKit from Mahara/JS folder

Bug #1650414 reported by Alexey Omelchenko on 2016-12-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Alexey Omelchenko

Bug Description

part of general task of stripping out MochiKit code and replacing it with jQuery

Changed in mahara:
status: New → In Progress
assignee: nobody → Alexey Omelchenko (alexeyomelchenko)
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7337

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7338

Changed in mahara:
importance: Undecided → Medium
milestone: none → 17.04.0
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7345

Reviewed: https://reviews.mahara.org/7336
Committed: https://git.mahara.org/mahara/mahara/commit/42bb8cc37f19a99fc276d20c246f0324e1dd6b6b
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 42bb8cc37f19a99fc276d20c246f0324e1dd6b6b
Author: alexeyomelchenko <email address hidden>
Date: Fri Dec 16 12:25:06 2016 +1300

Bug 1650414: Eliminate MochiKit from Mahara/js: paginator.js

behatnotneeded: same functionality

Change-Id: Iad90d35c414d718ba6f963e7cf0038ce526f095e
Signed-off-by: alexeyomelchenko <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7337
Committed: https://git.mahara.org/mahara/mahara/commit/f3098ba7df64fbe6cf92b6d4d496eac897bdc047
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit f3098ba7df64fbe6cf92b6d4d496eac897bdc047
Author: alexeyomelchenko <email address hidden>
Date: Fri Dec 16 14:17:43 2016 +1300

Bug 1650414: Eliminate MochiKit from Mahara/js: tablerender.js

* inject Pager.js differently, as per comment

behatnotneeded: same functionality

Change-Id: I81daf5db6d5f60edb1553400dfca2e861701a6bb
Signed-off-by: alexeyomelchenko <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7338
Committed: https://git.mahara.org/mahara/mahara/commit/4f13a99d10aee8054e3e4849176696bbaa68b6a5
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 4f13a99d10aee8054e3e4849176696bbaa68b6a5
Author: alexeyomelchenko <email address hidden>
Date: Fri Dec 16 10:10:40 2016 +1300

Bug 1650414: Eliminate MochiKit from JS: export.js searchtable viewmenu

behatnotneeded: same functionality

Change-Id: I1765df4266461590e4d5323c7997ca13a4cd1252
Signed-off-by: alexeyomelchenko <email address hidden>

Robert Lyon (robertl-9) wrote :

Still waiting on outcome for https://reviews.mahara.org/#/c/7345/ before we can close this one

It seems like tablerenderer&pager should be rewritten using "paginator.js" rather than fix it.

Main file that uses it is : resume (employment, achievement, goalsandskill tables)
Other places are:
selfsearch.php - might be not used
profileicons -> use table renderer but it's impossible to upload more thank 5 pic
font -add/edit/install/installgwf

Robert Lyon (robertl-9) on 2017-01-25
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers